{% extends 'base.html.twig' %}

{% block title %}Contact {% endblock %}

{% block description %}Romain HERAULT, Développeur web Full Stack. Contactez moi pour une mission{% endblock %}

{% block body %}
	<header class="flex items-center justify-center bg-primary h-mid-full">
		<h1 class="text-6xl text-white">Contact</h1>
	</header>

	<main class="container -mt-24">
		<div class="px-4 py-6 bg-white rounded shadow-lg">
			{% for message in app.flashes('success') %}
				<span class="block pb-4 text-center text-green-400">{{ message }}</span>
			{% endfor %}

			{{ form_start(form, {'attr': {'class': 'contact-form grid grid-cols-1 md:grid-cols-2 gap-4'}}) }}

			<div class="col-span-1 md:col-span-2">
				{{ form_widget(form.subject) }}
				{{ form_errors(form.subject) }}
			</div>

			<div class="col-span-1">
				{{ form_widget(form.name) }}
				{{ form_errors(form.name) }}
			</div>

			<div class="col-span-1">
				{{ form_widget(form.email) }}
				{{ form_errors(form.email) }}
			</div>

			<div class="col-span-1 md:col-span-2">
				{{ form_widget(form.message) }}
				{{ form_errors(form.message) }}
			</div>

			{{ form_rest(form) }}

			<button class="col-span-1 md:col-span-2" type="submit" value="Submit">{{ button_label|default('Envoyer') }}</button>

			{{ form_end(form) }}
		</div>

		<section class="my-6">
			<p class="mb-4 text-lg text-center">N'hésiter pas à me contacter en cas de besoin, via ce formulaire ou les liens ci-dessous.</p>
			<div>
				<svg xmlns="http://www.w3.org/2000/svg" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" viewbox="0 0 40 40" display="none" width="0" height="0">
					<symbol id="icon-mail" viewbox="0 0 40 40">
						<path d="M34.9,30.5V15.6c-0.4,0.4-0.8,0.9-1.4,1.2c-3.4,2.7-6.2,4.8-8.2,6.6c-0.6,0.5-1.1,0.9-1.6,1.2c-0.4,0.3-0.9,0.6-1.7,0.9 c-0.7,0.3-1.4,0.5-2,0.5l0,0c-0.6,0-1.2-0.2-2-0.5c-0.7-0.3-1.2-0.6-1.7-0.9c-0.4-0.3-0.9-0.7-1.6-1.2c-2.1-1.7-4.8-3.8-8.2-6.6 c-0.5-0.4-0.9-0.8-1.4-1.2v14.9c0,0.2,0.1,0.3,0.2,0.4C5.7,31,5.9,31.1,6,31.1h28.4c0.2,0,0.3-0.1,0.4-0.2 C34.8,30.8,34.9,30.7,34.9,30.5L34.9,30.5z M34.9,10.2V9.7c0,0,0-0.1,0-0.2c0-0.1,0-0.2-0.1-0.2c-0.1,0-0.1,0-0.1-0.2 c0-0.1-0.1-0.2-0.2-0.1c-0.1,0-0.2,0-0.3,0H5.8C5.6,8.9,5.4,9,5.3,9.1C5.2,9.2,5.1,9.3,5.1,9.5c0,2.2,0.9,4,2.8,5.5 c2.5,2,5.1,4,7.7,6.1c0.1,0.1,0.3,0.2,0.7,0.5c0.4,0.3,0.6,0.5,0.9,0.7c0.2,0.2,0.5,0.4,0.8,0.6c0.3,0.2,0.7,0.4,0.9,0.5 c0.3,0.1,0.6,0.2,0.8,0.2l0,0c0.2,0,0.5-0.1,0.8-0.2c0.3-0.1,0.6-0.3,0.9-0.5c0.3-0.2,0.6-0.4,0.8-0.6c0.2-0.2,0.5-0.4,0.9-0.7 c0.4-0.3,0.6-0.5,0.6-0.5c2.7-2.1,5.3-4.2,7.7-6.1c0.7-0.5,1.4-1.2,2-2.2C34.6,11.8,34.9,11,34.9,10.2L34.9,10.2z M37.3,9.5v21 c0,0.8-0.3,1.6-0.9,2.2s-1.4,0.9-2.2,0.9H5.8c-0.8,0-1.6-0.3-2.2-0.9c-0.6-0.6-0.9-1.4-0.9-2.2v-21c0-0.8,0.3-1.6,0.9-2.2 s1.4-0.9,2.2-0.9h28.4c0.8,0,1.6,0.3,2.2,0.9S37.3,8.7,37.3,9.5z"></path>
					</symbol>
					<symbol id="icon-github" viewbox="0 0 40 40">
						<path d="M36,20.3c0,3.5-1,6.6-3.1,9.4c-2,2.8-4.7,4.7-7.9,5.8c-0.4,0.1-0.6,0-0.8-0.1c-0.2-0.2-0.3-0.4-0.3-0.6v-4.4 c0-1.3-0.4-2.3-1.1-3c0.8-0.1,1.5-0.2,2.1-0.4c0.6-0.2,1.3-0.4,2-0.8c0.7-0.4,1.2-0.8,1.7-1.4c0.5-0.5,0.8-1.3,1.1-2.2 s0.4-2,0.4-3.1c0-1.7-0.5-3.1-1.6-4.3c0.5-1.3,0.5-2.7-0.2-4.2c-0.4-0.1-1,0-1.7,0.2c-0.7,0.3-1.4,0.6-1.9,0.9L24,12.5 c-1.3-0.4-2.6-0.5-4-0.5s-2.7,0.2-4,0.5c-0.2-0.2-0.5-0.3-0.9-0.6c-0.4-0.2-0.9-0.5-1.7-0.8c-0.8-0.3-1.4-0.4-1.8-0.3 c-0.6,1.6-0.7,3-0.1,4.2c-1.1,1.2-1.6,2.6-1.6,4.3c0,1.2,0.1,2.2,0.4,3.1s0.6,1.6,1.1,2.2s1,1,1.7,1.4c0.7,0.4,1.3,0.6,2,0.8 c0.6,0.2,1.3,0.3,2.1,0.4c-0.6,0.5-0.9,1.2-1,2.1c-0.3,0.1-0.6,0.2-0.9,0.3c-0.3,0.1-0.7,0.1-1.2,0.1c-0.5,0-0.9-0.1-1.4-0.4 c-0.5-0.3-0.8-0.7-1.2-1.3c-0.3-0.4-0.6-0.8-1-1.1c-0.4-0.3-0.8-0.4-1-0.5L9,26.5c-0.3,0-0.5,0-0.6,0.1c-0.1,0.1-0.1,0.1-0.1,0.2 c0,0.1,0.1,0.2,0.2,0.3c0.1,0.1,0.2,0.2,0.3,0.2l0.1,0.1c0.3,0.1,0.6,0.4,0.9,0.8s0.5,0.7,0.7,1.1l0.2,0.5c0.2,0.5,0.5,1,0.9,1.3 c0.4,0.3,0.9,0.5,1.4,0.6c0.5,0.1,1,0.1,1.4,0.1c0.5,0,0.9,0,1.2-0.1l0.5-0.1c0,0.5,0,1.1,0,1.9c0,0.7,0,1.1,0,1.1 c0,0.2-0.1,0.5-0.3,0.6c-0.2,0.2-0.5,0.2-0.8,0.1c-3.2-1.1-5.8-3-7.9-5.8S4,23.8,4,20.3c0-2.9,0.7-5.6,2.1-8S9.5,7.8,12,6.4 s5.1-2.1,8-2.1s5.6,0.7,8,2.1s4.4,3.4,5.8,5.8S36,17.4,36,20.3L36,20.3z"></path>
					</symbol>
					<symbol id="icon-gitlab" viewbox="0 0 40 40">
						<path d="M35.8,17.6L20,37.8l17.2-12.5c0.2-0.2,0.4-0.4,0.5-0.7c0.1-0.3,0.1-0.5,0-0.8L35.8,17.6L35.8,17.6z M26.5,17.6h-13L20,37.8 l0,0L26.5,17.6z M30.5,5.4l-3.9,12.2h9.1l-4-12.2C31.7,5.1,31.5,5,31.1,5S30.6,5.1,30.5,5.4z M4.2,17.6l-2,6.1 c-0.1,0.3-0.1,0.6,0,0.8c0.1,0.3,0.2,0.5,0.5,0.7L20,37.8L4.2,17.6L4.2,17.6z M4.2,17.6h9.1L9.5,5.4C9.4,5.1,9.2,5,8.9,5 C8.5,5,8.3,5.1,8.2,5.4L4.2,17.6z"></path>
					</symbol>
					<symbol id="icon-linkedin" viewbox="0 0 40 40">
						<path d="M12.1,13.8v19.1H5.7V13.8C5.7,13.8,12.1,13.8,12.1,13.8z M12.5,7.9c0,0.9-0.3,1.7-1,2.4c-0.7,0.6-1.5,0.9-2.6,0.9h0 c-1.1,0-1.9-0.3-2.5-0.9c-0.6-0.6-1-1.4-1-2.4c0-1,0.3-1.7,1-2.4S7.9,4.6,9,4.6s1.9,0.3,2.6,0.9S12.5,6.9,12.5,7.9z M35,22v11h-6.4 V22.7c0-1.4-0.3-2.4-0.8-3.2c-0.5-0.8-1.3-1.1-2.4-1.1c-0.8,0-1.5,0.2-2,0.7c-0.5,0.4-1,1-1.2,1.7c-0.1,0.4-0.2,0.9-0.2,1.6v10.7 h-6.4c0-5.1,0-9.3,0-12.5s0-5.1,0-5.7l0-0.9H22v2.8h0c0.3-0.4,0.5-0.8,0.8-1.1c0.3-0.3,0.6-0.6,1.1-1c0.5-0.4,1-0.6,1.7-0.8 c0.7-0.2,1.4-0.3,2.2-0.3c2.2,0,4,0.7,5.3,2.2C34.4,17,35,19.1,35,22L35,22z"></path>
					</symbol>
				</svg>
				<div class="flex flex-wrap items-center justify-around md:justify-center contacts md:space-x-4">
					<a href="https://www.linkedin.com/in/romain-herault" target="_blank" rel="noopener" class="flex items-center justify-center rounded-full contact">
						<svg>
							<use xlink:href="#icon-linkedin"></use>
						</svg>
					</a>
					<a href="https://github.com/Romaixn" target="_blank" rel="noopener" class="flex items-center justify-center rounded-full contact">
						<svg>
							<use xlink:href="#icon-github"></use>
						</svg>
					</a>
					<a href="https://gitlab.com/r.herault" target="_blank" rel="noopener" class="flex items-center justify-center rounded-full contact">
						<svg>
							<use data-v-2a7d7a80="" xlink:href="#icon-gitlab"></use>
						</svg>
					</a>
					<a href="mailto:romain@rherault.fr" target="_blank" rel="noopener" class="flex items-center justify-center rounded-full contact">
						<svg>
							<use xlink:href="#icon-mail"></use>
						</svg>
					</a>
				</div>
			</div>
		</section>
	</main>
{% endblock %}
